mpg2ogg(1)

Name

mpg2ogg — wrapper for mass mp3 to OggVorbis transcoding

Syntax

mpg2ogg [-w] [-G genre] [-N track] -X regex [-a artist] [-d date] [-l album] [-o output_regex] [-t title] file...

Description

Converts WAV/MP3 en masse to OggVorbis.

Syntax

-G genre
    Sets the genre in the output metadata.

-N track
    Sets the track number in the output metadata. Note that leading zeros are stripped.

-X regex
    The regex specified by -X defines fields to capture, which can be referenced in -t, -a, -l, -G, -d, -N and -o as $n, where n is the positional index of the particular capture.

-a artist
    Sets the artist in the output metadata.

-d date
    Sets the date in the output metadata.

-l album
    Sets the album in the output metadata.

-o file
    Defines the name of output files.

-t title
    Sets the title in the metadata.

-w  Assume source files are in WAV format.

Examples

	mpg2ogg -X '(+). (.*).mp3' -t '[$1] $2' -a 'Artist Name'
	-N '$1' -d 2004 -o '$2.ogg' *.mp3

	mpg2ogg -X '(.*?) - (.*?) - (.*).mp3' -t '$3' -a '$1' -l '$2'
        -o '$1/$2/$3.ogg' *.mp3

See also

hxtools(7)